summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2016-03-14 17:15:46 +0100
committerLars Wendler <polynomial-c@gentoo.org>2016-03-14 17:16:31 +0100
commit28357a789bbe994addd26906770a5ecc4067c53a (patch)
tree72fb4caa89cb2768f18830ece892427864b536e8 /sys-libs/libsmbios
parentdev-perl/List-MoreUtils: added Prefix keywords, bug #543632 (diff)
downloadgentoo-28357a789bbe994addd26906770a5ecc4067c53a.tar.gz
gentoo-28357a789bbe994addd26906770a5ecc4067c53a.tar.bz2
gentoo-28357a789bbe994addd26906770a5ecc4067c53a.zip
sys-libs/libsmbios: Don't build yum-plugin ever (fixes bug #577402).
Use some more python scripts via python-exec wrapper. Package-Manager: portage-2.2.28 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'sys-libs/libsmbios')
-rw-r--r--sys-libs/libsmbios/libsmbios-2.3.0-r1.ebuild (renamed from sys-libs/libsmbios/libsmbios-2.3.0.ebuild)11
1 files changed, 6 insertions, 5 deletions
diff --git a/sys-libs/libsmbios/libsmbios-2.3.0.ebuild b/sys-libs/libsmbios/libsmbios-2.3.0-r1.ebuild
index 8cceca9a761..495b64e6a3b 100644
--- a/sys-libs/libsmbios/libsmbios-2.3.0.ebuild
+++ b/sys-libs/libsmbios/libsmbios-2.3.0-r1.ebuild
@@ -43,6 +43,9 @@ src_prepare() {
>pkg/py-compile
+ # Don't build yum-plugin - we don't need it
+ sed '/yum-plugin/d' -i Makefile.am || die
+
eautoreconf
}
@@ -61,14 +64,12 @@ src_configure() {
src_install() {
emake install DESTDIR="${D}"
- rm -r "${D}etc/yum" || die
- rm -r "${D}usr/lib/yum-plugins" || die
if ! use python ; then
- rmdir "${D}libsmbios_c" "${D}usr/share/smbios-utils" || die
- rm -r "${D}etc" || die
+ rmdir "${ED%/}/libsmbios_c" "${ED%/}/usr/share/smbios-utils" || die
+ rm -r "${ED%/}/etc" || die
else
local python_scriptroot="/usr/sbin"
- python_doscript "${D}"/usr/sbin/smbios-{lcd-brightness,passwd,rbu-bios-update,sys-info,token-ctl,wakeup-ctl,wireless-ctl}
+ python_doscript "${ED%/}"/usr/sbin/smbios-{{keyboard,thermal,token,wakeup,wireless}-ctl,lcd-brightness,passwd,rbu-bios-update,sys-info}
fi
insinto /usr/include/